Page MenuHomePhabricator

Revert "Merge #14291: wallet: Add ListWalletDir utility function"
AbandonedPublic

Authored by nakihito on Sat, Mar 21, 17:25.

Details

Reviewers
deadalnix
Group Reviewers
Restricted Owners Package(Owns No Changed Paths)
Restricted Project
Summary

This reverts commit 50a1fbc83f20b930d8a98804927ede62192f0f21.

This is causing wallet_multiwallet.py to fail on UBSAN:

Traceback (most recent call last):
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/test_framework/test_node.py", line 338, in assert_start_raises_init_error
    self.wait_for_rpc_connection()
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/test_framework/test_node.py", line 223, in wait_for_rpc_connection
    'bitcoind exited with status {} during initialization'.format(self.process.returncode)))
test_framework.test_node.FailedToStartError: [node 0] bitcoind exited with status 1 during initialization

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/test_framework/test_framework.py", line 161, in main
    self.run_test()
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/wallet_multiwallet.py", line 90, in run_test
    ['-wallet=wallet.dat/bad'], exp_stderr, match=ErrorMatch.PARTIAL_REGEX)
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/test_framework/test_node.py", line 353, in assert_start_raises_init_error
    'Expected message "{}" does not partially match stderr:\n"{}"'.format(expected_msg, stderr))
  File "/home/teamcity/buildAgent/work/78fe5e47cf5a299e/test/functional/test_framework/test_node.py", line 146, in _raise_assertion_error
    raise AssertionError(self._node_msg(msg))
AssertionError: [node 0] Expected message "boost::filesystem::create_directory: (The system cannot find the path specified|Not a directory):" does not partially match stderr:
""

I cannot replicate this error right now, and have not found a solution or mention of this error searching through Core.

Test Plan
ninja
ninja check
ninja check functional

Run UBSAN build.

Diff Detail

Repository
rABC Bitcoin ABC
Branch
fixUBSAN
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9923
Build 17705: Bitcoin ABC Buildbot
Build 17704: arc lint + arc unit

Event Timeline

nakihito created this revision.Sat, Mar 21, 17:25
Owners added a reviewer: Restricted Owners Package.Sat, Mar 21, 17:25
Herald added a reviewer: Restricted Project. · View Herald TranscriptSat, Mar 21, 17:25
deadalnix requested changes to this revision.Sat, Mar 21, 18:13

Can you provide a reason in the description?

This revision now requires changes to proceed.Sat, Mar 21, 18:13
nakihito requested review of this revision.Sat, Mar 21, 19:41
nakihito edited the summary of this revision. (Show Details)

Updated summary.

deadalnix requested changes to this revision.Sat, Mar 21, 23:09

This still doesn't say what the problem is.

This revision now requires changes to proceed.Sat, Mar 21, 23:09
nakihito requested review of this revision.Sat, Mar 21, 23:58
nakihito edited the summary of this revision. (Show Details)

Added teamcity error.

deadalnix requested changes to this revision.Sun, Mar 22, 15:03

Well, what's the log of the bitcoind process? Why did it exit?

This revision now requires changes to proceed.Sun, Mar 22, 15:03

So I test with clang 8, clang 8 and gcc 9 and I cannot repro. This suggest that this is a problem with the CI and that it should be fixed there - or that there is something the CI is doing that we are not, in which case we also need to know.

I'm able to reproduce on my local machine with clang 8.0.1-3. Boost version is 1.67.0.